Upgrade phpMyAdmin

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Upgrade phpMyAdmin

Postby PimHB » 30. March 2017 21:39

Dear,

after installing XAMPP i am getting the message 'Een recentere versie van phpMyAdmin is beschikbaar, u kunt een upgrade overwegen. De nieuwe versie is 4.7.0, uitgebracht op 2017-03-29.' in phpMyAdmin. This is Dutch language and it means that there is a upgrade. After clicking the link i get a error.

{
"pma_version": "4.6.5.2",
"browser_name": "CHROME",
"browser_version": "51.0.2704.79",
"user_os": "Win",
"server_software": "Apache/2.4.25 (Unix) OpenSSL/1.0.2j PHP/5.6.30 mod_perl/2.0.8-dev Perl/v5.16.3",
"user_agent_string": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.79 Safari/537.36 Edge/14.14393",
"locale": "nl",
"configuration_storage": "enabled",
"php_version": "5.6.30",
"exception_type": "js",
"exception": {
"mode": "callers",
"name": "SecurityError",
"message": "SecurityError",
"stack": [
{
"line": 235,
"func": "",
"context": [
" lastException = null;",
" notifyHandlers.apply(null, [stack, null].concat(args));",
" }",
" }, (stack.incomplete ? 2000 : 0));",
"",
" throw ex; // re-throw to propagate to the top level (and cause wind//...",
" }",
"",
" report.subscribe = subscribe;",
" report.unsubscribe = unsubscribe;",
" return report;"
],
"filename": "tracekit/tracekit.js"
},
{
"func": "dispatch",
"line": 3,
"column": "",
"context": null,
"filename": "jquery/jquery-2.1.4.min.js"
},
{
"line": 369,
"column": "",
"context": null,
"filename": "jquery/jquery.event.drag-2.2.js"
},
{
"line": 3,
"column": "",
"context": null,
"filename": "jquery/jquery-2.1.4.min.js"
}
],
"useragent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.79 Safari/537.36 Edge/14.14393",
"incomplete": "false",
"partial": "true",
"uri": "index.php?"
},
"script_name": "index.php",
"microhistory": null
}

Anyone know how to solve this problem?

Thanks!
PimHB
 
Posts: 3
Joined: 30. March 2017 21:31
XAMPP version: Latest
Operating System: CentOS 7

Re: Upgrade phpMyAdmin

Postby Altrea » 30. March 2017 22:51

Hi,

Do you have any problems with the shipped phpMyAdmin version so that you really need to upgrade it?

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8848
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Upgrade phpMyAdmin

Postby PimHB » 31. March 2017 09:56

Altrea wrote:Hi,

Do you have any problems with the shipped phpMyAdmin version so that you really need to upgrade it?

best wishes,
Altrea


It's working fine. But i would like to keep everything updated.
PimHB
 
Posts: 3
Joined: 30. March 2017 21:31
XAMPP version: Latest
Operating System: CentOS 7

Re: Upgrade phpMyAdmin

Postby Nobbie » 31. March 2017 10:36

PimHB wrote:Anyone know how to solve this problem?


SImply dont click the link. I went to phpmyadmin and downloaded the newest version - super easy.
Nobbie
 
Posts: 9569
Joined: 09. March 2008 13:04

Re: Upgrade phpMyAdmin

Postby PimHB » 02. April 2017 13:13

Nobbie wrote:
PimHB wrote:Anyone know how to solve this problem?


SImply dont click the link. I went to phpmyadmin and downloaded the newest version - super easy.


By hand in the terminal?
PimHB
 
Posts: 3
Joined: 30. March 2017 21:31
XAMPP version: Latest
Operating System: CentOS 7

Re: Upgrade phpMyAdmin

Postby Nobbie » 02. April 2017 14:38

By browser with a click.
Nobbie
 
Posts: 9569
Joined: 09. March 2008 13:04

Re: Upgrade phpMyAdmin

Postby r0b1ns1ngh » 28. June 2017 10:20

In any Linux version
sudo apt-get update usually does the trick
sometimes you have to be more specific like
sudo apt-get (package name) update
r0b1ns1ngh
 
Posts: 1
Joined: 28. June 2017 10:12
XAMPP version: 3
Operating System: windows 10

Re: Upgrade phpMyAdmin

Postby Nobbie » 28. June 2017 20:05

Mostly linux dsitributions are not as "up-to-date" as the original software. Even worse: Xampp is not part of a linux distribution, if you run apt-get to "update" phpmyadmin, this definatey does NOT result in an updated version of Xampps PhpMyAdmin, instead you will have another PhpMyAdmin installation somewhere on your harddisk. You cannot update Xampp via apt-get.
Nobbie
 
Posts: 9569
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 5 guests